Frequently Asked Questions (FAQ)

A forum where issues related to the DataPort utility can be discussed.
Post Reply
User avatar
Naveed
Commodore (COMO)
Commodore (COMO)
Posts: 583
Joined: Thu Apr 03, 2008 4:48 am

Frequently Asked Questions (FAQ)

Post by Naveed » Wed Jun 03, 2009 10:16 am

This collection of frequently asked questions (FAQ) provides brief answers to many common questions about the DataPort and its functionality. It also provides links to more detailed information available on forums or help sites. Please check here for answers before posting a question on forums.

1. Which version of DataPort utility is for me?
2. How to correctly install/setup DataPort utility for my store?
3. What is AbleCommerece.ClientApi.dll file and where and how to upload it?
4. I am experiencing DataPort connection problem.
5. Why am I getting DataPort version mismatch error/warning?
6. Getting “Authentication Error! - Password is null.” error after successful connection.
7. Where can I find a “user manual” for DataPort?
8. How to migrate from AC5x to AC7x? Is there any guide available?
9. What pre-cautions should I do while using DataPort utility.
10. How can I avoid un-desired results while using DataPort utility?
11. How to import existing user records with passwords using DataPort users CSV import feature?
12. Is there any “Command-Line” interface available for DataPort utility?
13. My products export fails after exporting some records. Is there any limitation of records?
14. I want to import a really large AC5x exported xml file? How big the DataPort support?
15. Some (special) characters in my exported data are corrupted while editing in MS Excel?
16. What are different import options available while uploading data to server?
17. What are the “Update Options” for CSV upload and how they can be used effectively?
18. How can I use CSV import feature for batch updating?
19. Can I use xml import feature for batch updating?
20. Can I run DataPort programmatically?
21. Can I install multiple versions of DataPort applications side by side on the same system?

1. Which version of DataPort utility is for me?

There are different versions of DataPort utility available for different version of AbleCommerce 7 stores. You have to use the correct DataPort utility as according to version of your store as described in the following chart:

AbleCommerce store vs. 7.0.0 DataPort vs. 7.0.0
AbleCommerce store vs. 7.0.1 DataPort vs. 7.0.1
AbleCommerce store vs. 7.0.2 DataPort vs. 7.0.2
AbleCommerce store vs. 7.0.3 DataPort vs. 7.0.3

All current dataport versions can be located here:
ftp://ftp.ablecommerce.com/dataport
Going forward, new versions of dataport will always be published here.

If you have a DataPort utility installed and you are unsure about its version, then you can find its version from DataPort “About Data Port” menu. It is strongly recommended to use correct version of DataPort as according to your store version.

2. How to correctly install/setup DataPort utility for my store?
3. What is AbleCommerece.ClientApi.dll file and where and how to upload it?


Download location: (ftp://ftp.ablecommerce.com/dataport/)
Download the latest version of DataPort available for your store. After downloading unzip/extract the files. The download package may contain following files:

* The DataPort Installer ( .msi installer)
* The ClientApi dll file (CommerceBuilder.DataClient.Api.dll)
* ReadMe file (should

Run the installer to get DataPort installed on your system. The ClientApi DLL file should be deployed (uploaded) to /Bin folder of your AC7 store website. You can replace the existing file if it exists.

However if the API dll file is not provided with the download package, you can get it from the location where you have installed the DataPort application (normally "C:\Program Files\AbleCommerce\AbleCommerce DataPort 7.x.x\" folder). Copy the (CommerceBuilder.DataClient.Api.dll) file and upload it to your store /Bin directory by replacing older file. After you have installed the DataPort and uploaded the API dll file, you can now connect DataPort to your server. For more details read this:
http://wiki.ablecommerce.com/index.php/ ... ore.28s.29

4. I am experiencing DataPort connection problem?

If you are not able to successfully connect DataPort to your server then make sure:
• You have correctly deployed (uploaded) the CommerceBuilder.DataClient.Api.dll file to your server Bin directory. The API dll version should match the DataPort version you are using. You can confirm the uploaded API dll version from your store admin page (Admin -> Help -> About AbleCommerce page).
• You are correctly specifying the “Service URL” at login screen.
• The user account you are using to connect is a “Supper User”.

Please have a look for details regarding how you can connect DataPort to your server:
http://wiki.ablecommerce.com/index.php/ ... ore.28s.29


5. Why am I getting DataPort version mismatch error/warning message while connecting?

If you are getting version mismatch error/warning message while connecting to your server then it means that either you are not using correct version of DataPort or you have not deployed (uploaded) correct version of API dll file to your store Bin directory. By using the correct version of DataPort and uploading the correct version of API dll file will solve this issue.

6. Getting “Authentication Error! - Password is null.” error after successful connection.

If you are getting this or similar error when you try to export or import some data using DataPort after a successful connection, then check the “Save Password” option while connecting to server on Login screen. There is a bug in DataPort 7.0.2.1 and previous versions causing this issue. The bug is however fixed for later versions of DataPort.

7. Where can I find a “user manual” for DataPort?

You can find the user manual for DataPort at:
http://wiki.ablecommerce.com/index.php/ ... rt_Utility

8. How to migrate from AC5x to AC7x? Is there any guide available?

Here is a must read step by step guide for “Migrating from AC5x to AC7x”:
http://help.ablecommerce.com/upgrades/A ... erce_7.htm

9. What pre-cautions should I do while using DataPort utility?
10. How can I avoid un-desired results while using DataPort utility?

  • • It is recommended to use the latest release of AbleCommerce 7.x.x store and the latest compatible version of DataPort to get the latest features and smooth experience.
    • Read the DataPort user manual carefully to get an overview of DataPort functionality.
    • Before using DataPort on LIVE stores try to play with it on local development installs. This way you will be able to avoid un-predictable results.
    • Always take database backups before using DataPort with your live stores to avoid/remedy any un-desired and un-predictable results.
11. How to import existing user records with passwords using DataPort users CSV import feature?


12. Is there any “Command-Line” interface available for DataPort utility?

No, no command line interface is available for DataPort.

13. My products export fails after exporting some records. Is there any limitation of records?

There is no limitation of records. You can process (import/export) any number of records your computer or your web server allows. If you are getting some error while exporting some data then there may be something inconsistent with your store data. You should post the details regarding problem on forums for guidance.

14. I want to import a really large AC5x exported xml file? How big the DataPort support?

There is no limitation by file size. You can import very large files, however you may encounter out of memory errors if your computer ran out of memory. You can avoid such issues by adding some extra memory to your system.

15. Some (special) characters in my exported data are corrupted while editing in MS Excel?

To avoid any such issues, it is recommended to use MS Excel 2003 or later for editing CSV files. For a detailed discussion have a look at:
http://wiki.ablecommerce.com/index.php/ ... ing_Issues

16. What are different import options available while uploading data to server?

There are three options:
  • i. IMPORT new objects, UPDATE existing objects: Use this options when your data contains a mix of new records (which you want to import) and existing records (which you want to update).
    ii. Only IMPORT new objects (SKIP UPDATING the existing objects): If you will use this option only new records in your data will be imported and if some existing object will match the record in your data, the record will be skipped.
    iii. UPDATE MODE: The import record will be searched for a matching object on server based upon some key fields (math fields), and if any matching object if found the object will be updated. Note that for CSV only one matching object will be updated per CSV record.
17. What are the “Update Options” for CSV upload and how they can be used effectively? (only valid for DataPort vs. 7.0.3.1 or higher)
18. How can I use CSV import feature for batch updating?


You can use CSV import feature for batch updating as well. For example, you can update the product prices in bulk. For CSV update feature you have to specify match criteria based upon which the CSV records are matched for existing objects, and any matching object is updated as specified in CSV data. For DataPort vs. 7.0.2.1 and older version the match was performed using fixed pre-defined criteria. While for DataPort 7.0.3 (not yet released) the user can select his/her own match criteria.

19. Can I use xml import feature for batch updating?


Yes, the XML import can be used for batch updating in similar way as the CSV import.

20. Can I run DataPort programmatically?

No, there is no such interface available for DataPort to run it programmatically.

21. Can I install multiple versions of DataPort applications side by side on the same system?

Yes, multiple versions of DataPort can be installed on same system. The only restriction is that you have to install older versions first and newer versions later.

We have a different version of DataPort software for each version of AbleCommerce Store. And if you have multiple stores having different versions you have to install different versions of DataPort application. If you will try to use a wrong version of DataPort with your store you can get un-expected errors and can corrupt your data.

User avatar
RichWendrock
Commander (CMDR)
Commander (CMDR)
Posts: 134
Joined: Sat Apr 05, 2008 12:55 am
Location: Austin Texas
Contact:

Re: Frequently Asked Questions (FAQ)

Post by RichWendrock » Wed Jan 26, 2011 2:40 pm

You no longer need to match the dataport utility version with your store version... The latest version of the dataport utility will work with all versions of Ablecommerce.
See this topic for more information.
viewtopic.php?f=61&t=11979&p=51508&hili ... .1+#p51508
Regards,
Richard

http://www.TheHomePageStore.com

AbleCommerce
VERSION: 7.0.7.14588
MSSQL v2005
AC SCHEMA v2005
.NET CLR v2.0.50727.3634

Post Reply